%define		rpm_macros_rev	1.736
%define		find_lang_rev	1.40
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Source5:	rpm.macros.kernel
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# macros.d/kernel
Conflicts:	rpm-build < 5.4.15-6
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
cp -p %{SOURCE5} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d

cp -p rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
cp -p rpm.macros.kernel $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/kernel

install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}/dokuwiki-find-lang.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%{_usrlibrpm}/macros.d/kernel
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Thu Nov 01 2018 Elan Ruusamäe <glen@pld-linux.org> 003c1a6
- deprecate meson_* macros with ninja_*

* Tue Oct 30 2018 Jan Rękorajski <baggins@pld-linux.org> 73c33fd
- add link to Gentoo wiki regarding execstack

* Tue Oct 30 2018 Jan Rękorajski <baggins@pld-linux.org> 56dfec1
- add macro to check ELF file for executable stack
  (see https://www.openwall.com/lists/oss-security/2018/10/22/3 and followup)
- up to 1.735

* Tue Jul 03 2018 Jan Palus <atler@pld-linux.org> 96d010e
- update pattern for matching empty mo files in find-lang.sh with file 5.33; rel 2

* Wed Jun 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bca5d19
- up to 1.734; always skip checking std::__once_callable and std::__once_call symbols in post_check_so as these are always unresolved

* Thu May 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bc702a4
- typo fixed

* Thu May 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 343fbc2
- up to 1.732; try to build both, static and shared, libraries with meson by default

* Fri Mar 23 2018 Tomasz Pala <gotar@pld-linux.org> eb651b4
- avoid bogus commands caused by not escaped macro

* Tue Mar 20 2018 Elan Ruusamäe <glen@pld-linux.org> ee3bbe4
- 1.731: fixed %webapp_register -f to work in triggerpostun

* Thu Nov 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 4dc4b33
- typo

* Thu Nov 30 2017 Jakub Bogusz <qboosh@pld-linux.org> f51f521
- note that __true_false* may be used also with cmake

* Thu Nov 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 4e311fe
- version 1.730: added _noautoreq_mono

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 14c9395
- 1.729: omit ruby version from %ruby_ridir

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 66ce621
- add __true_false_not, too

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d9ea828
- rel 1.728; __true_false rpm macro for -Ddocumentation=%{__true_false doc} usage

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e2329ed
- up to 1.727; use C.UTF-8 locale because meson wants utf8 locale

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cfca9d
- Up to 1.726.

* Sat Jul 29 2017 Jan Palus <atler@pld-linux.org> 4cb9865
- 1.725; pass --*dir opts to meson

* Mon Jul 24 2017 Jan Palus <atler@pld-linux.org> f72d45c
- 1.724; initial version of %meson/%ninja macros

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 21e8065
- find-lang: use find.dirs after it has been created

